REM https://github.com/gwaldron/osgearth/archive/osgearth-2.4.tar.gz

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=osgearth
set V=2.4
set B=1

set R=..\..\..\release\%P%
for %%i in (bin dev libs) do (
	if not exist %R%\%P%-%%i mkdir %R%\%P%-%%i
	copy %%i.hint %R%\%P%-%%i\setup.hint
	copy ..\LICENSE.txt %R%\%P%-%%i %R%\%P%-%%i\%P%-%%i-%V%-%B%.txt
)


set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
path %SYSTEMROOT%\system32;%SYSTEMROOT%;%SYSTEMROOT%\System32\Wbem;%pf%\CMake 2.8\bin
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%
set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

if not exist build mkdir build
if not exist install mkdir install
set INSTDIR=%CD%\install
cd build

set LIB=%LIB%;%OSGEO4W_ROOT%\lib
set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include

set BUILDCONF=RelWithDebInfo

cmake -G "Visual Studio 10 Win64" ^
	-DCMAKE_CONFIGURATION_TYPES=%BUILDCONF% ^
	-DCMAKE_PREFIX_PATH=%OSGEO4W_ROOT%/apps/osgearth ^
	-DCURL_LIBRARY=%OSGEO4W_ROOT%/lib/libcurl.lib ^
	-DZLIB_LIBRARY=%OSGEO4W_ROOT%/lib/zdll.lib ^
	-DOSG_DIR=%OSGEO4W_ROOT% ^
        -DINSTALL_BINDIR=%INSTDIR%/bin ^
        -DINSTALL_INCDIR=%INSTDIR%/include ^
        -DINSTALL_LIBDIR=%INSTDIR%/lib ^
	-DDYNAMIC_OSGEARTH=ON ^
	-DCMAKE_INSTALL_PREFIX=%INSTDIR% ^
	-DCMAKE_RELWITHDEBINFO_POSTFIX= ^
        ..\..
if errorlevel 1 goto error

for %%i in (ZERO_CHECK ALL_BUILD INSTALL) do (
	echo %%i: %DATE% %TIME%
	devenv OSGEARTH.sln /Project %%i /Build %BUILDCONF%
	if errorlevel 1 (echo %%i error & goto error)
)

cd ..

copy ..\LICENCE.txt %R%\%P%-libs\%P%-libs-%V%-%B%.txt
tar -C .. -cjf %R%\%P%-libs\%P%-libs-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/bin.hint osgeo4w/dev.hint osgeo4w/libs.hint
tar -C %INSTDIR% -cvjf %R%\%P%-libs\%P%-libs-%V%-%B%.tar.bz2 ^
	--exclude "*.exe" ^
        bin
if errorlevel 1 goto error

copy ..\LICENCE.txt %R%\%P%-bin\%P%-bin-%V%-%B%.txt
tar -C %INSTDIR% -cvjf %R%\%P%-bin\%P%-bin-%V%-%B%.tar.bz2 ^
	--exclude "*.dll" ^
        bin
if errorlevel 1 goto error

copy ..\LICENCE.txt %R%\%P%-dev\%P%-dev-%V%-%B%.txt
tar -C %INSTDIR% -cvjf %R%\%P%-dev\%P%-dev-%V%-%B%.tar.bz2 ^
        include ^
        lib
if errorlevel 1 goto error

:error
